Mailinglist Archive: opensuse-buildservice (311 mails)

< Previous Next >
Re: [opensuse-buildservice] Trouble with webpin
  • From: Lenz Grimmer <lenz@xxxxxxxxxxx>
  • Date: Mon, 16 Nov 2009 18:02:33 +0100
  • Message-id: <f78695c10911160902j7ebe3ecqaec900cb81ab4644@xxxxxxxxxxxxxx>
Hi,

On Sat, Nov 14, 2009 at 00:53, Sascha 'saigkill' Manns
<samannsml@xxxxxxxxxxxxx> wrote:

i'm trying to search via webpin. But i'm become:
linux-m4rp:/srv/www/htdocs/phpMyAdmin # webpin kmail
ERROR: invalid or unsupported value for distribution version: "11.2"
Valid values are: 10.3, 11.0, Factory, factory, 11.1, latest

Does anyone know how to fix it?

Modify

/usr/lib/python2.6/site-packages/webpin/const.py by applying the
following patch:

--- const.py.org 2009-11-16 18:00:18.447219013 +0100
+++ const.py 2009-11-16 18:01:00.703219208 +0100
@@ -69,6 +69,7 @@
# Map of (open)SUSE versions to dist identifiers
# that must be used in the Package Search webservice URL:
distVersionMap = {
+ '11.2': 'openSUSE_112',
'11.1': 'openSUSE_111',
'11.0': 'openSUSE_110',
'10.3': 'openSUSE_103',

That fixed it for me.

Bye,
LenZ
--
Lenz Grimmer <lenz@xxxxxxxxxxx> - http://www.lenzg.net/
--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-buildservice+help@xxxxxxxxxxxx

< Previous Next >